Custom Interaction Type

The endpoint for custom interaction types defined on your account.

Retrieve multiple Custom Interaction Types based on search criteria passed as GET Arguments

get/custominteractiontype/



Filterable fields:
archived
title
organization
user
created
updated

Securityapi_key and username
Request
query Parameters
archived
boolean
created
string <date-time>

NOTE: Parameter accepts additional qualifiers appended to the end:
created__year, created__month, created__day - The value for the record matches the provided year/month/day (note that week_day, hour, minute, and second are also available following similar patterns).

organization_id
integer <int64>

The organization with which this custominteractiontype is associated.

NOTE: Parameter accepts additional qualifiers appended to the end:
organization__in - The value for the record is in the provided array parameter (comma-separated values).

title
string

NOTE: Parameter accepts additional qualifiers appended to the end:
title__in - The value for the record is in the provided array parameter (comma-separated values).
title__contains, title__icontains - The value for the record contains the string provided as a parameter within it (partial match). (Use 'icontains' for matching to be done case-insensitive)
title__startswith, title__istartswith - The value for the record starts with the string provided as a parameter. (Use 'istartswith' for matching to be done case-insensitive)
title__endswith, title__iendswith - The value for the record ends with the string provided as a parameter within it (partial match). (Use 'iendswith' for matching to be done case-insensitive)
title__iexact - The value for the record is a case-insensitive exact match to the provided parameter.

updated
string <date-time>

NOTE: Parameter accepts additional qualifiers appended to the end:
updated__year, updated__month, updated__day - The value for the record matches the provided year/month/day (note that week_day, hour, minute, and second are also available following similar patterns).

user_id
integer <int64>

The quorumuser with which this custominteractiontype is associated.

NOTE: Parameter accepts additional qualifiers appended to the end:
user__in - The value for the record is in the provided array parameter (comma-separated values).
user__isnull - The value for the record is null (if true) or is not null.

dehydrate
Array of strings

Option to provide additional detail for certain fields, either by expanding those fields with additional details from the related model or by substituting more informative values for the actual database values.
resource_uri - expand resource_uri with additional details.
NOTE: This parameter can accept one or more comma-separated values; it is not limited to a single value.

Items Value: "resource_uri"
limit
integer <int64>
Default: 20

The number of records to return (for pagination).

offset
integer <int64>
Default: 0

The number of records to offset the start of the data being returned (for pagination).

Responses
200

CustomInteractionType retrieved successfully

400

improperly configured request

401

authorization failure

500

internal server error

Response samples
application/json
{
  • "_extra": { },
  • "archived": false,
  • "created": "2019-08-24T14:15:22Z",
  • "description": "string",
  • "divider": "string",
  • "future_description": "string",
  • "generated_from_interaction_type": 1,
  • "icon": "fa-handshake-o",
  • "id": 0,
  • "order": 0,
  • "organization": "/api/organization/1/",
  • "resource_uri": "string",
  • "title": "string",
  • "updated": "2019-08-24T14:15:22Z",
  • "user": "/api/user/1/"
}

Create a single Custom Interaction Type

post/custominteractiontype/
Securityapi_key and username
Request
path Parameters
id
required
integer <int64>

Quorum ID (Primary Key)

Request Body schema: application/json
archived
boolean
description
string
future_description
string
icon
string
order
integer <int64>
title
string
Responses
200

CustomInteractionType retrieved successfully

400

improperly configured request

401

authorization failure

500

internal server error

Request samples
application/json
{
  • "archived": true,
  • "description": "string",
  • "future_description": "string",
  • "icon": "string",
  • "order": 0,
  • "title": "string"
}
Response samples
application/json
{
  • "_extra": { },
  • "archived": false,
  • "created": "2019-08-24T14:15:22Z",
  • "description": "string",
  • "divider": "string",
  • "future_description": "string",
  • "generated_from_interaction_type": 1,
  • "icon": "fa-handshake-o",
  • "id": 0,
  • "order": 0,
  • "organization": "/api/organization/1/",
  • "resource_uri": "string",
  • "title": "string",
  • "updated": "2019-08-24T14:15:22Z",
  • "user": "/api/user/1/"
}

Retrieve information on a single Custom Interaction Type

get/custominteractiontype/{id}/
Securityapi_key and username
Request
path Parameters
id
required
integer <int64>

Quorum ID (Primary Key)

query Parameters
dehydrate
Array of strings

Option to provide additional detail for certain fields, either by expanding those fields with additional details from the related model or by substituting more informative values for the actual database values.
resource_uri - expand resource_uri with additional details.
NOTE: This parameter can accept one or more comma-separated values; it is not limited to a single value.

Items Value: "resource_uri"
Responses
200

CustomInteractionType retrieved successfully

400

improperly configured request

401

authorization failure

500

internal server error

Response samples
application/json
{
  • "_extra": { },
  • "archived": false,
  • "created": "2019-08-24T14:15:22Z",
  • "description": "string",
  • "divider": "string",
  • "future_description": "string",
  • "generated_from_interaction_type": 1,
  • "icon": "fa-handshake-o",
  • "id": 0,
  • "order": 0,
  • "organization": "/api/organization/1/",
  • "resource_uri": "string",
  • "title": "string",
  • "updated": "2019-08-24T14:15:22Z",
  • "user": "/api/user/1/"
}

Update a single Custom Interaction Type by ID

patch/custominteractiontype/{id}/
Securityapi_key and username
Request
path Parameters
id
required
integer <int64>

Quorum ID (Primary Key)

Request Body schema: application/json
archived
boolean
description
string
future_description
string
icon
string
order
integer <int64>
title
string
Responses
200

CustomInteractionType retrieved successfully

400

improperly configured request

401

authorization failure

500

internal server error

Request samples
application/json
{
  • "archived": true,
  • "description": "string",
  • "future_description": "string",
  • "icon": "string",
  • "order": 0,
  • "title": "string"
}
Response samples
application/json
{
  • "_extra": { },
  • "archived": false,
  • "created": "2019-08-24T14:15:22Z",
  • "description": "string",
  • "divider": "string",
  • "future_description": "string",
  • "generated_from_interaction_type": 1,
  • "icon": "fa-handshake-o",
  • "id": 0,
  • "order": 0,
  • "organization": "/api/organization/1/",
  • "resource_uri": "string",
  • "title": "string",
  • "updated": "2019-08-24T14:15:22Z",
  • "user": "/api/user/1/"
}